# QVM: Quaternions, Vectors, Matrices

### boost/qvm/operations.hpp

This header defines all available function overloads that operate on quaternion, vector and matrix objects.

### Synopsis:

#include <boost/qvm/operations.hpp>

    #include <boost/qvm/quat_operations.hpp>
    #include <boost/qvm/vec_operations.hpp>
    #include <boost/qvm/mat_operations.hpp>
    #include <boost/qvm/quat_vec_operations.hpp>
    #include <boost/qvm/vec_mat_operations.hpp>